Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaModuleDependency

    org.gradle.tooling.model.idea.IdeaModuleDependency
      org.gradle.tooling.model.idea.IdeaDependency
          org.gradle.tooling.model.Dependency

All Superinterfaces:
  IdeaDependency, Dependency

    public interface IdeaModuleDependency
    extends IdeaDependency

Dependency on a module in a project.

Since:
  1.0-milestone-5

Method Summary
`IdeaModule` | `getDependencyModule()` returns dependency module

Methods inherited from interface IdeaDependency
getExported, getScope

Method Detail

### getDependencyModule

    public IdeaModule getDependencyModule()

  returns dependency module
  Returns:
    dependency module

Gradle API 1.1-rc-1